## ECellTree

ECellTree

## Functions

ECell * | e_cell_tree_new ()
void | e_cell_tree_construct ()
ECellView * | e_cell_tree_view_get_subcell_view ()
gboolean | e_cell_tree_get_grouped_view ()
void | e_cell_tree_set_grouped_view ()
gboolean | e_cell_tree_get_show_expander ()
void | e_cell_tree_set_show_expander ()

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellTree

## Description

## Functions

### e_cell_tree_new ()

    ECell *
    e_cell_tree_new (gboolean draw_lines,
                     gboolean show_expander,
                     ECell *subcell);

Creates a new ECell renderer that can be used to render tree effects that come from an ETreeModel. Various assumptions are made as to the fact that the ETableModel the ETable this cell is associated with is in fact an ETreeModel. The cell uses special columns to get at structural information (needed to draw the lines/icons.

#### Parameters

draw_lines | whether or not to draw the lines between parents/children/siblings. |
show_expander | whether to show expander |
subcell | the ECell to render to the right of the tree effects. |

#### Returns

an ECell object that can be used to render trees.

### e_cell_tree_construct ()

    void
    e_cell_tree_construct (ECellTree *ect,
                           gboolean draw_lines,
                           gboolean show_expander,
                           ECell *subcell);

Constructs an ECellTree. used by subclasses that need to initialize a nested ECellTree. See `e_cell_tree_new()` for more info.

#### Parameters

ect | the ECellTree we're constructing. |
draw_lines | whether or not to draw the lines between parents/children/siblings. |
show_expander | whether to show expander |
subcell | the ECell to render to the right of the tree effects. |

### e_cell_tree_view_get_subcell_view ()

    ECellView *
    e_cell_tree_view_get_subcell_view (ECellView *ect);

### e_cell_tree_get_grouped_view ()

    gboolean
    e_cell_tree_get_grouped_view (ECellTree *cell_tree);

### e_cell_tree_set_grouped_view ()

    void
    e_cell_tree_set_grouped_view (ECellTree *cell_tree,
                                  gboolean grouped_view);

### e_cell_tree_get_show_expander ()

    gboolean
    e_cell_tree_get_show_expander (ECellTree *cell_tree);

### e_cell_tree_set_show_expander ()

    void
    e_cell_tree_set_show_expander (ECellTree *cell_tree,
                                   gboolean show_expander);